WebCrossing Server – Not Secure? We can help!

Posted by on Aug 21, 2018 | No Comments

We received the following email from a customer this week –

“We need our Online Community site to be secure, we have gotten concerns from our members because when they login though their browsers they see Not Secure.”

How timely! We sent out a newsletter recently about exactly this issue. Security levels are being increased all over the Internet. Browsers, such as Chrome, have been upgraded and are more picky about where they connect. And of course we all need to be more and more careful about how data is handled.

If you are not careful with security at your site, browsers will eventually refuse to connect, or they will give your users scary warnings, like the new one above. Also, starting last month, TLSv1.0 is no longer accepted by financial institutions, so users with old browsers will need to update. Sites only supporting TLSv1.0 are now considered non-secure.

We recently made a special effort and accomplished a major upgrade of our encrypted security for sites using SSL certificates. This includes (1) a thorough and complete upgrade of server-side supported protocols, through TLSv1.2; (2) an upgrade of certificate and CSR generation features, upgrading from MD5 to SHA256, (3) and all the cipher suites have been upgraded to support connectivity from the latest secure browsers.

And it’s not just server-side protocol upgrades. Your WebCrossing server is also capable of acting like a client and making API calls to other servers. Those servers also are requiring higher protocol TLS 1.2 connections these days. With this major upgrade, now your WebCrossing server can make those calls.

We can help you upgrade your site if you are a hosted customer or have a self-hosted site with a current support contract. We can help you get the “CSR” needed to obtain an SSL certificate and help you install it. You can even purchase SSL certificates (and domains too) from us at ellipticsdomains.comAlso note that certain certificate sources, such as Symantec, will no longer be trusted as of September. Please be sure your SSL certificates are issued from a trusted source. SSL certificates purchased from us remain trusted certificates.

All self-hosted customers with valid support and maintenance contracts can download the latest new version at no cost.If you are running a self-hosted site we strongly recommend upgrading your WebCrossing server to the latest new build. If you are a self-hosted customer and have a valid support and maintenance contract, please contact support for access to the new server. If your support and maintenance contract has expired, please contact us to renew so we can provide you with this important update.